<?php

namespace Intergo\AuthClient;

use Intergo\BaseClient\ApiHandler;

class AuthApiHandler extends ApiHandler
{
    /** ########### AUTH ########### */
    const API_REGISTER = '/api/v1/auth/register';
    const API_LOGIN = '/api/v1/auth/login';
    const API_LOGIN_BY = '/api/v1/auth/login/by';
    const API_VERIFY = '/api/v1/oauth/verify';
    const API_AUTHENTICATE = '/api/v1/auth/authenticate';
    const API_REFRESH = '/api/v1/auth/refresh';
    const API_INVALIDATE = '/api/v1/auth/invalidate';
    const API_REGENERATE_VERIFICATION_CODE = '/api/v1/auth/regenerate/verification-code';
    const API_VERIFY_EMAIL = '/api/v1/auth/email/verify';
    const API_INVALIDATE_USER = '/api/v1/auth/user/invalidate';

    /** ########### API KEY ########### */
    const API_GET_API_KEY = '/api/v1/users/api/key';
    const API_GENERATE_API_KEY = '/api/v1/users/api/key/generate';
    const API_DISABLE_API_KEY = '/api/v1/users/api/key/disable';
    const API_ENABLE_API_KEY = '/api/v1/users/api/key/enable';
    const API_DELETE_API_KEY = '/api/v1/users/api/key/delete';
    const API_DELETE_USER_API_KEYS = '/api/v1/users/api/key/user/delete';

    /** ########### API CLIENTS ########### */
    const API_GET_API_CLIENT = '/api/v1/users/api/key/client';
    const API_GENERATE_API_CLIENT = '/api/v1/users/api/key/client/generate';
    const API_DISABLE_API_CLIENT = '/api/v1/users/api/key/client/disable';
    const API_ENABLE_API_CLIENT = '/api/v1/users/api/key/client/enable';
    const API_DELETE_API_CLIENT = '/api/v1/users/api/key/client/delete';

    /** ########### ROLES & PERMISSIONS ########### */
    const API_GET_ROLES = '/api/v1/admin/roles';
    const API_STORE_ROLE = '/api/v1/admin/roles/store';
    const API_UPDATE_ROLE = '/api/v1/admin/roles/update';
    const API_DELETE_ROLE = '/api/v1/admin/roles/delete';
    const API_GET_PERMISSIONS = '/api/v1/admin/permissions';
    const API_ROLES_ASSIGN_OR_REVOKE = '/api/v1/admin/roles/assign-or-revoke';
    const API_GET_ROLES_FOR_USER = '/api/v1/admin/roles/users/get';
    const API_GET_USERS_ROLES_PERMISSIONS = '/api/v1/admin/roles/users/all';
    const API_SEARCH_FOR_USERS = '/api/v1/admin/roles/users/search';
    const API_GET_PERMISSIONS_FOR_USER = '/api/v1/admin/permissions/users/get';

    /** ########### BANLISTS & WHITELISTS ########### */
    const API_GET_EMAIL_BANLIST = '/api/v1/admin/rules/emailbanlist';
    const API_GET_EMAIL_WHITELIST = '/api/v1/admin/rules/emailwhitelist';
    const API_GET_IP_BANLIST = '/api/v1/admin/rules/ipbanlist';
    const API_GET_IP_WHITELIST = '/api/v1/admin/rules/ipwhitelist';
    const API_ADD_EMAIL_BANLIST = '/api/v1/admin/rules/emailbanlist/add';
    const API_REMOVE_EMAIL_BANLIST = '/api/v1/admin/rules/emailbanlist/remove';
    const API_ADD_EMAIL_WHITELIST = '/api/v1/admin/rules/emailwhitelist/add';
    const API_REMOVE_EMAIL_WHITELIST = '/api/v1/admin/rules/emailwhitelist/remove';
    const API_ADD_IP_BANLIST = '/api/v1/admin/rules/ipbanlist/add';
    const API_REMOVE_IP_BANLIST = '/api/v1/admin/rules/ipbanlist/remove';
    const API_ADD_IP_WHITELIST = '/api/v1/admin/rules/ipwhitelist/add';
    const API_REMOVE_IP_WHITELIST = '/api/v1/admin/rules/ipwhitelist/remove';
}
