<?php

namespace Intergo\AuthClient\Structs\ApiClient;

use Intergo\AuthClient\Structs\BaseAuth;

class DisableApiClient extends BaseAuth
{
    /** @var string */
    public $token;
    /** @var string */
    public $email;
    /** @var string */
    public $client_id;
    /** @var string */
    public $api_id;
    /** @var string */
    public $title;

    /**
     * DisableApiKey constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $email
     * @param $token
     * @param $client_id
     * @param $api_id
     * @param $title
     */
    public function __construct($site, $jwt_auth_secret, $ip, $email, $token, $client_id, $api_id, $title)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->email = $email;
        $this->client_id = $client_id;
        $this->api_id = $api_id;
        $this->title = $title;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'email' => $this->email,
            'token' => $this->token,
            'client_id' => $this->client_id,
            'api_id' => $this->api_id,
            'title' => $this->title
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
