<?php

namespace Intergo\AuthClient\Structs\Auth;

use Intergo\AuthClient\Structs\BaseAuth;

class Login extends BaseAuth
{
    /** @var string */
    public $username;
    /** @var string */
    public $password;

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $username
     * @param $password
     */
    public function __construct($site, $jwt_auth_secret, $ip, $username, $password)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->username = $username;
        $this->password = $password;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'username' => $this->username,
            'password' => $this->password
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
