<?php

namespace Intergo\AuthClient\Structs\Auth;

use Intergo\AuthClient\Structs\BaseAuth;

class VerifyEmail extends BaseAuth
{
    /** @var string */
    public $confirm_code;
    /** @var string */
    public $email;

    /**
     * VerifyEmail constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $confirm_code
     * @param $email
     */
    public function __construct($site, $jwt_auth_secret, $ip, $confirm_code, $email)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->confirm_code = $confirm_code;
        $this->email = $email;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'confirm_code' => $this->confirm_code,
            'email' => $this->email
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
