<?php

namespace Intergo\AuthClient\Structs\Roles;

use Intergo\AuthClient\Structs\BaseAuth;

class AssignOrRevoke extends BaseAuth
{
    /** @var string */
    public $token;
    /**
     * @var null
     */
    private $user_id;
    /**
     * @var array
     */
    private $roles;
    /**
     * @var array
     */
    private $permissions;
    /** @var string */

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $token
     * @param null $ip
     * @param null $user_id
     * @param array $roles
     * @param array $permissions
     */
    public function __construct($site, $jwt_auth_secret,$token, $ip, $user_id, $roles = [], $permissions = [])
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->user_id = $user_id;
        $this->roles = $roles;
        $this->permissions = $permissions;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
            'user_id' => $this->user_id,
            'roles' => $this->roles,
            'permissions' => $this->permissions,
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
