<?php

namespace Intergo\AuthClient\Structs\Roles;

use Intergo\AuthClient\Structs\BaseAuth;

class StoreRole extends BaseAuth
{
    /** @var string */
    public $token;
    /**
     * @var string
     */
    private $name;
    /**
     * @var string
     */
    private $description;
    /**
     * @var array
     */
    private $permissions;
    /** @var string */

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $token
     * @param $ip
     * @param $name
     * @param $description
     * @param array $permissions
     */
    public function __construct($site, $jwt_auth_secret,$token, $ip, $name, $description, $permissions = [])
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->name = $name;
        $this->description = $description;
        $this->permissions = $permissions;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
            'name' => $this->name,
            'description' => $this->description,
            'permissions' => $this->permissions,
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
