<?php

namespace Intergo\AuthClient\Structs\Rules;

use Intergo\AuthClient\Structs\BaseAuth;

class UpdateEmailList extends BaseAuth
{
    /** @var string */
    public $token;

    /**
     * @var array
     */
    public $emails;


    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $token
     * @param $ip
     * @param array $emails
     */
    public function __construct($site, $jwt_auth_secret,$token, $ip, $emails = [])
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->emails = $emails;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
            'emails' => $this->emails
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
