<?php

namespace Intergo\AuthClient\Structs\Rules;

use Intergo\AuthClient\Structs\BaseAuth;

class UpdateIpList extends BaseAuth
{
    /** @var string */
    public $token;

    /**
     * @var array
     */
    public $ip_addresses;


    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $token
     * @param $ip
     * @param array $ip_addresses
     */
    public function __construct($site, $jwt_auth_secret,$token, $ip, $ip_addresses = [])
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->ip_addresses = $ip_addresses;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
            'ip_addresses' => $this->ip_addresses
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
